#!/usr/bin/env bash

set -euo pipefail

# Build Vencord
./build.sh

# Save this for later (Vextop needs it)
export VENCORD_FILES_DIR="$(realpath Vencord/dist)"

# Do we have the Vesktop sources cloned?
if [ -e Vesktop/.git ]; then
	# Update sources
	cd Vesktop
	git fetch
else
	# Clone sources
	git clone https://github.com/Vencord/Vesktop.git Vesktop
	cd Vesktop
fi

# Reset vextop branch and apply patches
git checkout -B vextop origin/main
git am ../vesktop-patches/*.patch

# Build vesktop
pnpm i --frozen-lockfile
pnpm build

# Run vesktop
pnpm electron .
